/* ************************************************************************** 
 *             The Pebbles Personal Digital Assistant Project               *
 * **************************************************************************
 * This code was written as part of the Pebbles project at                  *
 * Carnegie Mellon University.  See the following for more information:     *
 *                http://www.cs.cmu.edu/~pebbles                            *
 * This library code is available for use by others.                        *
 * Please contact us for more information: pebbles@cs.cmu.edu               *  
 *                                                                          *
 *         Copyright (C) 1998-2000 - Carnegie Mellon University             *
 * **************************************************************************/


/* 
   This file contains <CONTENTS>
   Designed and implemented by Herb Stiel
*/

#ifndef __REMOTECONTROLMESSAGE_H__
#define __REMOTECONTROLMESSAGE_H__

#include <Pebbles.h>

#define CMD_MOVE 			(CMD_PEBBLES_BASE + 1) //CMD_PEBBLES_BASE = 32
#define CMD_LEFTDOWN		(CMD_PEBBLES_BASE + 2)
#define CMD_LEFTUP			(CMD_PEBBLES_BASE + 3)
#define CMD_RIGHTDOWN		(CMD_PEBBLES_BASE + 4)
#define CMD_RIGHTUP			(CMD_PEBBLES_BASE + 5)
#define CMD_KEYDOWN			(CMD_PEBBLES_BASE + 6)
#define CMD_ALTDOWN			(CMD_PEBBLES_BASE + 7)
#define CMD_ALTUP			(CMD_PEBBLES_BASE + 8)
#define CMD_CONTROLDOWN		(CMD_PEBBLES_BASE + 9)
#define CMD_CONTROLUP		(CMD_PEBBLES_BASE + 10)
#define CMD_F1KEYDOWN		(CMD_PEBBLES_BASE + 11)
#define CMD_F2KEYDOWN		(CMD_PEBBLES_BASE + 12)
#define CMD_F3KEYDOWN		(CMD_PEBBLES_BASE + 13)
#define CMD_F4KEYDOWN		(CMD_PEBBLES_BASE + 14)
#define CMD_F5KEYDOWN		(CMD_PEBBLES_BASE + 15)
#define CMD_F6KEYDOWN		(CMD_PEBBLES_BASE + 16)
#define CMD_F7KEYDOWN		(CMD_PEBBLES_BASE + 17)
#define CMD_F8KEYDOWN		(CMD_PEBBLES_BASE + 18)
#define CMD_F9KEYDOWN		(CMD_PEBBLES_BASE + 19)
#define CMD_F10KEYDOWN		(CMD_PEBBLES_BASE + 20)
#define CMD_F11KEYDOWN		(CMD_PEBBLES_BASE + 21)
#define CMD_F12KEYDOWN		(CMD_PEBBLES_BASE + 22)
#define CMD_ESCAPEHIT		(CMD_PEBBLES_BASE + 23)
#define CMD_INSERTHIT		(CMD_PEBBLES_BASE + 24)
#define CMD_DELETEHIT		(CMD_PEBBLES_BASE + 25)
#define CMD_F1HIT			(CMD_PEBBLES_BASE + 26)
#define CMD_F2HIT			(CMD_PEBBLES_BASE + 27)
#define CMD_F3HIT			(CMD_PEBBLES_BASE + 28)
#define CMD_F4HIT			(CMD_PEBBLES_BASE + 29)
#define CMD_F5HIT			(CMD_PEBBLES_BASE + 30)
#define CMD_F6HIT			(CMD_PEBBLES_BASE + 31)
#define CMD_F7HIT			(CMD_PEBBLES_BASE + 32)
#define CMD_F8HIT			(CMD_PEBBLES_BASE + 33)
#define CMD_F9HIT			(CMD_PEBBLES_BASE + 34)
#define CMD_F10HIT			(CMD_PEBBLES_BASE + 35)
#define CMD_F11HIT			(CMD_PEBBLES_BASE + 36)
#define CMD_F12HIT			(CMD_PEBBLES_BASE + 37)
#define CMD_HOMEHIT			(CMD_PEBBLES_BASE + 38)
#define CMD_PAGEUPHIT		(CMD_PEBBLES_BASE + 39)
#define CMD_PAGEDOWNHIT		(CMD_PEBBLES_BASE + 40)
#define CMD_ENDHIT			(CMD_PEBBLES_BASE + 41)
#define CMD_UPHIT			(CMD_PEBBLES_BASE + 42)
#define CMD_DOWNHIT			(CMD_PEBBLES_BASE + 43)
#define CMD_LEFTHIT			(CMD_PEBBLES_BASE + 44)
#define CMD_RIGHTHIT		(CMD_PEBBLES_BASE + 45)
#define CMD_SHIFTDOWN		(CMD_PEBBLES_BASE + 46)
#define CMD_SHIFTUP			(CMD_PEBBLES_BASE + 47)
#define CMD_CAPHIT			(CMD_PEBBLES_BASE + 48)
#define CMD_PRINTSCREENHIT	(CMD_PEBBLES_BASE + 49)
#define CMD_PAUSEHIT		(CMD_PEBBLES_BASE + 50)
#define CMD_BREAKHIT		(CMD_PEBBLES_BASE + 51)
#define CMD_PEN_DOWN 		(CMD_PEBBLES_BASE + 52)
#define CMD_PEN_UP			(CMD_PEBBLES_BASE + 53)

#define CMD_MOVE_ABSOLUTE 		(CMD_PEBBLES_BASE + 54)
#define CMD_PEN_DOWN_ABSOLUTE 	(CMD_PEBBLES_BASE + 55)
#define CMD_PEN_UP_ABSOLUTE		(CMD_PEBBLES_BASE + 56)

#define CMD_MIDDLEDOWN		(CMD_PEBBLES_BASE + 57)
#define CMD_MIDDLEUP			(CMD_PEBBLES_BASE + 58)

    // Must fit in a 16-bit integer
    #define MAX_PEBBLES_COORDINATE      65535

#define CMD_REMOTECONTROL_MAX   (CMD_PEBBLES_BASE + 60) // 92

#endif